﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.Termination.Views {

  [View("ThresholdTerminator View")]
  [Content(typeof(IThresholdTerminator), true)]
  public partial class ThresholdTerminatorView : ItemView {

    public new IThresholdTerminator Content {
      get { return (IThresholdTerminator)base.Content; }
      set { base.Content = value; }
    }

    public ThresholdTerminatorView() {
      InitializeComponent();
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      viewHost.Content = null;
      if (Content != null) {
        if (Content.ThresholdParameter.ActualValue != null)
          viewHost.Content = Content.ThresholdParameter.ActualValue;
        else
          viewHost.Content = Content.ThresholdParameter;
      }
    }
  }
}
